Skip to main content
`Ctrl`+`K`

# TSBasicSymplecticInitializePackage

This function initializes everything in the `TSBASICSYMPLECTIC` package. It is called from `TSInitializePackage()`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSBasicSymplecticInitializePackage(void)

## See Also

TS: Scalable ODE and DAE Solvers, `PetscInitialize()`, `TSBASICSYMPLECTIC`

## Level

developer

## Location

src/ts/impls/symplectic/basicsymplectic/basicsymplectic.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages